#include "rtc.h"

void RTC_initialize(void){
	
	//    RTCC_initialize(100);	// velocità bus I2C
	
	while (v <= MINUTI){
	
		switch (v){
			case ANNO:{
				vmin = 17;
				vmax = 99;
				valore = 17;
				strcpy (frase, "ANNO AA:");
				break;
			}
			case MESE:{
				vmin = 1;
				vmax = 12;
				valore = 11;
				strcpy (frase, "MESE MM:");
				break;
			}
			case GIORNO:{
				vmin = 1;
				vmax = 31;
				valore = 1;
				strcpy (frase, "GIORNO GG:");
				break;
			}
			case ORA:{
				vmin = 0;
				vmax = 23;
				valore = 17;
				strcpy (frase, "ORA HH:");
				break;
			}
			case MINUTI:{
				vmin = 0;
				vmax = 59;
				valore = 1;
				strcpy (frase, "MINUTI MM:");
				break;
			}
		}
		LCD_goto_line (2);
		LCD_write_message(frase);
		LCD_write_integer (valore, 2, LCD_ZERO_CLEANING_ON);
        valore_ok = 0;
		while (!valore_ok){
			if (!BT1){
				delay_ms(100); // ritardo per antirimbalzo
				// se dopo 100ms il pulsante è ancora premuto, allora non si
				// tratta di un rimbalzo
				if (!BT1){
                    if (valore < vmax)
                        valore++; // incremento il valore
					LCD_goto_line (2);
					LCD_write_message(frase);
					LCD_write_integer (valore, 2, LCD_ZERO_CLEANING_ON);
					delay_ms(50);
				}
			}
			if (!BT2){
				delay_ms(100); // ritardo per antirimbalzo
				// se dopo 100ms il pulsante è ancora premuto, allora non si
				// tratta di un rimbalzo
				if (!BT2){
                    if (valore > vmin)
                        valore--; // incremento il valore
					LCD_goto_line (2);
					LCD_write_message(frase);
					LCD_write_integer (valore, 2, LCD_ZERO_CLEANING_ON);
					delay_ms(50);
				}
			}
			if (!BT3){
				delay_ms(100); // ritardo per antirimbalzo
				// se dopo 100ms il pulsante è ancora premuto, allora non si
				// tratta di un rimbalzo
				if (!BT3){
					valore_ok = 1;	// passo al successivo
					delay_ms(50);
				}
			}
			if (!BT4){
				delay_ms(100); // ritardo per antirimbalzo
				// se dopo 100ms il pulsante è ancora premuto, allora non si
				// tratta di un rimbalzo
				if (!BT4){
					valore_ok = 1;	// 
  					v = MINUTI;          // interrompo la sequenza
					delay_ms(50);
				}
			}
		}
		v++;
	}
}