#include <xc.h>

#include <LTlib.h>

#include <module_IO.h>
#include <module_IO.c>

#include <module_I2C.h>
#include <module_I2C.c>

#include <LTlib_delay.h>
#include <LTlib_delay.c>

#include <PCF8563.h>
#include <PCF8563.c>

#include <LCD_44780.h>
#include <LCD_44780.c>

#include <string.h>

//#include "rtc.h"

int main (void){

 
    IO_set_all_ports_as_inputs ();
	
	IO_enable_pull_up_resistors (IO_PORTB, IO_BIT4 + IO_BIT5 + IO_BIT6 + IO_BIT7);

    LCD_initialize (20);

    LCD_backlight (LCD_TURN_ON_LED);

    LCD_write_message ("Set DATE & TIME");

//	RTC_initialize();
	
    // Execute infinite loop
	LCD_clear();
	LCD_backlight (LCD_TURN_OFF_LED);
	while(1){
        LCD_home(); 
        LCD_write_message("Date : ");
//        LCD_write_string (RTCC_get_date());                
        LCD_goto_line(2);
        LCD_write_message("Time : ");
//        LCD_write_string (RTCC_get_time_seconds());
        
        delay_ms (100);
    }
}


